Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1658579 - Be explicite about the REPODIR used in the Error message.
Summary: Be explicite about the REPODIR used in the Error message.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: 8.0
Assignee: Packaging Maintenance Team
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 12:44 UTC by Karel Srot
Modified: 2020-11-14 11:49 UTC (History)
2 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 0 None None None 2019-11-05 22:21:04 UTC

Description Karel Srot 2018-12-12 12:44:18 UTC
Description of problem:

Per bug 1657150.

# yum install aide --installroot=/tmp/root --releasever=/
Error: There are no enabled repos.

In case I would delete /tmp/root/etc/yum.repos.d directory the command would pass. This is expdected behaviour, however it would be great to alter the error message to
  Error: There are no enabled repos in $REPOSDIR
to make the fact that there was an attempt to read repos from the installroot directory.

Comment 1 Jaroslav Mracek 2019-04-09 19:58:44 UTC
I create a patch that enhanced message about absence of enabled repositories - https://github.com/rpm-software-management/dnf/pull/1376.

Comment 6 errata-xmlrpc 2019-11-05 22:20:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.